## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathExpression::InvalidArgumentException Class Reference

Exception class thrown when an invalid XPath argument is encountered. More...

Inheritance diagram for XPathExpression::InvalidArgumentException:

[legend]
Collaboration diagram for XPathExpression::InvalidArgumentException:

[legend]
List of all members.

## Public Member Functions

- InvalidArgumentException (OpCodeMapValueType theOpCode, OpCodeMapValueType theValue, XalanDOMString &theResult)
    Construct an InvalidArgumentException object.
- virtual ~InvalidArgumentException ()

## Detailed Description

Exception class thrown when an invalid XPath argument is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidArgumentException::InvalidArgumentException | ( | OpCodeMapValueType | theOpCode,
|  | OpCodeMapValueType | theValue,
|  | XalanDOMString & | theResult
| ) |

Construct an InvalidArgumentException object.

Parameters:

  theOpCode | operation code that caused the exception
  theValue | invalid argument value

virtual XPathExpression::InvalidArgumentException::~InvalidArgumentException | ( |  | ) |

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.